Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ReferenceManager

    java.lang.Object
      org.codehaus.groovy.util.ReferenceManager

    public class ReferenceManager
    extends Object

Method Summary
`def` | `ReferenceManager(ReferenceQueue queue)`
`void` | `afterReferenceCreation(Reference r)`
`static ReferenceManager` | `createCallBackedManager(ReferenceQueue queue)`
`static ReferenceManager` | `createIdlingManager(ReferenceQueue queue)`
`static ReferenceManager` | `createThreadedManager(ReferenceQueue queue)`
`static ReferenceManager` | `createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)`
`static ReferenceBundle` | `getDefaultSoftBundle()`
`static ReferenceBundle` | `getDefaultWeakBundle()`
`protected ReferenceQueue` | `getReferenceQueue()`
`void` | `removeStallEntries()`
`void` | `stopThread()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### ReferenceManager

    public def ReferenceManager(ReferenceQueue queue)

### afterReferenceCreation

    public void afterReferenceCreation(Reference r)

### createCallBackedManager

    public static ReferenceManager createCallBackedManager(ReferenceQueue queue)

### createIdlingManager

    public static ReferenceManager createIdlingManager(ReferenceQueue queue)

### createThreadedManager

    public static ReferenceManager createThreadedManager(ReferenceQueue queue)

### createThresholdedIdlingManager

    public static ReferenceManager createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)

### getDefaultSoftBundle

    public static ReferenceBundle getDefaultSoftBundle()

### getDefaultWeakBundle

    public static ReferenceBundle getDefaultWeakBundle()

### getReferenceQueue

    protected ReferenceQueue getReferenceQueue()

### removeStallEntries

    public void removeStallEntries()

### stopThread

    public void stopThread()

### toString

    @Override
    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.